Complexity:
Subject: IdentityRoutePart should set __identity array
Description

IdentityRoutePart::matchValue() currently returns the identifier of the ObjectPathMapping record directly.
This makes it difficult to merge arguments with data from the requestBody (e.g. for PUT requests).
Instead, the route part should return an array in the format array('__identity' => '<Identifier>')

Related issues:
related to TYPO3.Flow - Feature # 37402: Make request handling RESTfuller Resolved 2012-05-22
related to TYPO3.Flow - Bug # 38404: IdentityRoutePart should accept __identi... Resolved 2012-06-26

Associated revisions
Revision 02fc35be - 2012-05-22 21:48 - Bastian Waidelich

[TASK] IdentityRoutePart should return __identity array

IdentityRoutePart::matchValue() currently returns the identifier
of the ObjectPathMapping record directly.
This makes it difficult to merge arguments with data from the
requestBody (e.g. for PUT requests).

This change adjusts the route part so that it sets $this->value
to an array in the format array('__identity' => '<Identifier>')

Change-Id: I8b8cca1e20a2caf85ba51680ca79c4d74c16ed8b
Fixes: #37403
Related: #37402
Releases: 1.1, 1.2

Revision c7da751a - 2012-05-30 20:16 - Bastian Waidelich

[TASK] IdentityRoutePart should return __identity array

IdentityRoutePart::matchValue() currently returns the identifier
of the ObjectPathMapping record directly.
This makes it difficult to merge arguments with data from the
requestBody (e.g. for PUT requests).

This change adjusts the route part so that it sets $this->value
to an array in the format array('__identity' => '<Identifier>')
Change-Id: I8b8cca1e20a2caf85ba51680ca79c4d74c16ed8b
Fixes: #37403
Related: #37402
Releases: 1.1, 1.2

History
#1 - 2012-05-22 21:48 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/11503

#2 - 2012-05-30 20:16 - Gerrit Code Review

Patch set 1 for branch FLOW3-1.1 has been pushed to the review server.
It is available at http://review.typo3.org/11747

#3 - 2012-05-30 20:38 - Bastian Waidelich
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:c7da751a3cba3427acc14c6f5a3d568e05f7da49.
